### Method

# Gtk Widgetget_halign

#### Declaration [src]

    GtkAlign
    gtk_widget_get_halign (
      GtkWidget* widget
    )

#### Description [src]

Gets the horizontal alignment of `widget`.

For backwards compatibility reasons this method will never return one of the baseline alignments, but instead it will convert it to `GTK_ALIGN_FILL` or `GTK_ALIGN_CENTER`.

Baselines are not supported for horizontal alignment.

Gets property | `Gtk.Widget:halign`

#### Return value

Type: `GtkAlign`

The horizontal alignment of `widget`.